Back to the main site

Battlefield 1 - not using lastest drivers?


#1

For some reason when i try to launch BF1 says the i’m using an old driver and should update for a new one, but i’m using the 396.54.
EDIT: My bad just change winecfg to W10 and runned just fine